LArSoft - Necessary Maintenance #20568

Use of ValidHandle::failedToGet break use of Particlelnventory/BackTracker/PhotonBackTracker in
gallery

08/08/2018 05:29 PM - David Last

Status: Closed Start date: 08/08/2018
Priority: High Due date:

Assignee: Jason Stock % Done: 100%
Category: Estimated time: 1.00 hour
Target version: v07_02_00 Spent time: 0.25 hour
Experiment: -

Description

As this member will always return false if the art::ValidHandle can be created, then any check of what failedToGet returns is
predetermined. The member does not exist in gallery::ValidHandle so having the check is problematic for gallery implementation of
these Service Providers.

History

#1 - 08/08/2018 05:37 PM - Jason Stock
- Target version set to v07_02_00

I've talked to David about this issue already. We understand it, it is definitely necessary maintenance for the BackTracking ServiceProviders to work
in Gallery, and | will address it as soon as | wrap up my MCC11 work on the SNB runs.

#2 - 08/13/2018 10:33 AM - Kyle Knoepfel

- Status changed from New to Assigned

#3 - 08/16/2018 02:49 AM - Jason Stock
- Estimated time set to 1.00 h

| am just getting started on this now.

#4 - 08/16/2018 02:59 AM - Jason Stock
Should be fixed with commit €9842072b628bd4168e93b46bdfba788d841e2d6
Testing now.

#5 - 08/16/2018 04:08 AM - Jason Stock

- Status changed from Assigned to Resolved

Resolved. | will leave it open for a few days.

#6 - 08/16/2018 10:39 AM - Lynn Garren

Thank you Jason. Please be aware that this fix has missed larsoft v07_02_00 and will be part of the next release.
#7 - 08/16/2018 12:05 PM - Jason Stock
Thanks for the update Lynn.

I had hoped to catch 7_02_00, but, mcc11 interfered. David has assured me this is not an urgent need (No need to request a special tag). We will
wait for v7_03_00.

Cheers!

#8 - 08/27/2018 10:35 AM - Lynn Garren
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
Included in larsoft v07_03_00
